Bug 537223 - ctdb initscript FedoraGuidelines compliance
Summary: ctdb initscript FedoraGuidelines compliance
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ctdb
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Sumit Bose
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-11-12 21:02 UTC by Nate Straz
Modified: 2010-03-11 17:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-11 17:45:46 UTC
Type: ---


Attachments (Terms of Use)

Description Nate Straz 2009-11-12 21:02:21 UTC
Description of problem:

This is a list of issues for the ctdb init script when compared with the
criteria in 
https://fedoraproject.org/wiki/Packaging/SysVInitScript


Version-Release number of selected component (if applicable):
ctdb-1.0.91-1.fc12.i686


 * missing required action try-restart (same as condrestart)

 * reload is implemented, but not in usage message

 * required force-reload action is missing

 * start fails when ctdb is already running

 * `service ctdb status` returns wrong exit status when ctdb is not running.  Expected 3, got 1.

 * wrong exit status when service is dead, but lock file remains, expected 2 got 1.

Comment 1 Bug Zapper 2009-11-16 15:29:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2009-12-11 09:12:39 UTC
ctdb-1.0.108-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ctdb-1.0.108-1.fc12

Comment 3 Fedora Update System 2010-01-04 21:15:59 UTC
ctdb-1.0.108-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.